<?php

include("gegevens.php");
mysql_connect("$host","$user","$pass") && mysql_select_db("$tablename");
include("functie_euros.php");
include("ubb.php");


session_start();

	if(isset($_SESSION['login'])){
	$dbres			=	mysql_query("SELECT * FROM `gebruiker` WHERE `login`='{$_SESSION['login']}'");
	$data			=	mysql_fetch_object($dbres);
	$_COOKIE['login']	=	$_SESSION['login'];
	} else {
	unset($_SESSION['login']);
	}

	function check_login() {
		if(isset($_SESSION['login'])){
		return TRUE;
		} else {
		return FALSE;
		}
	}

$dbres		=	mysql_query("SELECT * FROM `ipban` WHERE `ip`='{$_SERVER['REMOTE_ADDR']}'");
$controlle	=	mysql_num_rows($dbres);
	if($controlle != 0){
	header("Location: verbannen.php"); 
	}

$locatie	=	$_SERVER['REQUEST_URI'];
$array 		=	Array();
$array[]	=	"mysql";
$array[]	=	"query";
$array[]	=	")";
$array[]	=	";";
$array[]	=	"}";  
$array[]	=	"'";
$array[]	=	"`";

	foreach($array As $foutbezig) { 
		if(eregi($foutbezig,$locatie)) { 
		Die("{$title} heeft een hacking poging vastgelgd ,securty level anti sql-injection."); 
		} 
	}



	function PageViewLimiet(){
	$kLimiet = 1;
	$kSeconden = 2;
		if(!isset($_SESSION['clicks'])){
		$_SESSION['clicks'] = array('clicks' => 0,'time' => time());
		}
	$_SESSION['clicks']['clicks']++;
		if($_SESSION['clicks']['time'] < (time()-$kSeconden)){
		$_SESSION['clicks']['clicks'] = 0;
		$_SESSION['clicks']['time'] = time();
		} else {
			if($_SESSION['clicks']['clicks'] > $kLimiet){ 
			exit;
			}
		}
	}

mysql_query("UPDATE `gebruiker` SET `moordervaring`='1000' WHERE `moordervaring`>'1000'");

	$dbres	=	mysql_query("SELECT *,UNIX_TIMESTAMP(`tijd`) AS `tijd`,0 FROM `detective`");
		while($detective = mysql_fetch_object($dbres)){
		$tijda	=	$detective->uren*60*60;
			if($detective->tijd+$tijda<time()){
			mysql_query("DELETE FROM `detective` WHERE `id`='$detective->id'");
			}

			if(($detective->tijd+$detective->minuten<time()) && $detective->minuten != 0 && $detective->status == 0){
			mysql_query("UPDATE `detective` SET `status`='1' WHERE `id`='{$detective->id}'");
			mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$detective->owner}','Detective','Jouw detective heeft het spoor gevonden.')");
			}	
		}

$dbres     =	mysql_query("SELECT *,UNIX_TIMESTAMP(`tijd`) AS `tijd`,0 FROM `marktplaats`"); 

	while($info = mysql_fetch_object($dbres)){ 
		if($info->tijd + 21600 < time()){
			if($info->soort == 1){
			mysql_query("UPDATE `gebruiker` SET `kogels`=`kogels`+'{$info->aantal}' WHERE `login`='{$info->owner}'");
			mysql_query("UPDATE `gebruiker` SET `verkoop`=`verkoop`-'1' WHERE `login`='{$info->owner}'");
			mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$info->owner}','Marktplaats','Je hebt je ammo pakket niet weten te verkopen op marktplaatst helaas!')");
			mysql_query("DELETE FROM `marktplaats` WHERE `id`='{$info->id}'");
			} else if($info->soort == 2){
			mysql_query("UPDATE `gebruiker` SET `verkoop`=`verkoop`-'1' WHERE `login`='{$info->owner}'");
			mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$info->owner}','Marktplaats','Je hebt je getuige ID niet weten te verkopen op marktplaatst helaas!')");
			mysql_query("DELETE FROM `marktplaats` WHERE `id`='{$info->id}'");
			} else if($info->soort == 3){
			mysql_query("UPDATE `autos` SET `status`='0' WHERE `id`='{$info->businessid}'");
			mysql_query("UPDATE `gebruiker` SET `verkoop`=`verkoop`-'1' WHERE `login`='{$info->owner}'");
			mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$info->owner}','Marktplaats','Je hebt je auto niet weten te verkopen op marktplaatst helaas!')");
			mysql_query("DELETE FROM `marktplaats` WHERE `id`='{$info->id}'");

			} else if($info->soort == 4){
				if($info->type == 4){
				mysql_query("UPDATE `clipsfabriek` SET `verkoop`='0' WHERE `id`='{$info->businessid}'");
				} else if($info->type == 5){
				mysql_query("UPDATE `ziekenhuis` SET `verkoop`='0' WHERE `id`='{$info->businessid}'");
				} else {
				mysql_query("UPDATE `casino` SET `verkoop`='0' WHERE `id`='{$info->businessid}'");
				}
			mysql_query("UPDATE `gebruiker` SET `verkoop`=`verkoop`-'1' WHERE `login`='{$info->owner}'");
			mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$info->owner}','Marktplaats','Je hebt je business niet weten te verkopen op marktplaatst helaas!')");
			mysql_query("DELETE FROM `marktplaats` WHERE `id`='{$info->id}'");
			} else if($info->soort == 5){
			mysql_query("UPDATE `gebruiker` SET `verkoop`=`verkoop`-'1',`vipster`=`vipster`+'1' WHERE `login`='{$info->owner}'");
			mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$info->owner}','Marktplaats','Je hebt je VIP ster niet weten te verkopen op marktplaatst helaas!')");
			mysql_query("DELETE FROM `marktplaats` WHERE `id`='{$info->id}'");
			}
		}
	}

	if(($data) && $data->level != 0 && $data->level != -1){
	mysql_query("UPDATE `gebruiker` SET `online`=NOW() WHERE `login`='{$data->login}'");
		if($data->health < 1 && $data->level != -2){
			if($data->erfgenaam != ""){
			mysql_query("DELETE FROM `hitlist`") or die(mysql_error());
			$geld2		=	round(($data->bank/100)*70);
			$vipster1	=	$data->vipster;
			mysql_query("UPDATE `autos` SET `owner`='{$data->erfgenaam}',`status`='0' WHERE `owner`='{$data->login}'") or die(mysql_error());
			mysql_query("UPDATE `gebruiker` SET `vipster`=`vipster`+'$vipster1',`bank`=`bank`+'$geld2' WHERE `login`='{$data->erfgenaam}'") or die(mysql_error());
			mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$data->erfgenaam}','Erfgenaam','{$data->login} is dood gegaan! maar liet een jou als erfgenaam weten dat je een deel van zijn geld kreeg al zijn autos en al zijn VIP sterren.')") or die(mysql_error());
			}
		$dbres	=	mysql_query("SELECT * FROM `partners` WHERE `login`='{$data->login}'") or die(mysql_error());
			while($partner = mysql_fetch_object($dbres)){
			mysql_query("UPDATE `gebruiker` SET `partners`=`partners`-'1' WHERE `login`='{$partner->vriend}'") or die(mysql_error());
			mysql_query("DELETE FROM `partners` WHERE `id`='{$partner->id}'") or die(mysql_error());
			}
		$dbres	=	mysql_query("SELECT * FROM `partners` WHERE `vriend`='{$data->login}'") or die(mysql_error());
			while($partner = mysql_fetch_object($dbres)){
			mysql_query("UPDATE `gebruiker` SET `partners`=`partners`-'1' WHERE `login`='{$partner->login}'") or die(mysql_error());
			mysql_query("DELETE FROM `partners` WHERE `id`='{$partner->id}'") or die(mysql_error());
			}
		mysql_query("DELETE FROM `marktplaats` WHERE `owner`='{$data->login}'") or die(mysql_error());
		mysql_query("DELETE FROM `autos` WHERE `owner`='{$data->login}'") or die(mysql_error());
		mysql_query("DELETE FROM `berichten` WHERE `naar`='{$data->login}'") or die(mysql_error());
		mysql_query("DELETE FROM `bezittingen` WHERE `owner`='{$data->login}'") or die(mysql_error());
		mysql_query("UPDATE `casino` SET `owner`='',`verkoop`='0' WHERE `owner`='{$data->login}'") or die(mysql_error());
		mysql_query("UPDATE `clipsfabriek` SET `owner`='',`verkoop`='0' WHERE `owner`='{$data->login}'") or die(mysql_error());
		mysql_query("UPDATE `ziekenhuis` SET `owner`='',`verkoop`='0' WHERE `owner`='{$data->login}'") or die(mysql_error());
		mysql_query("DELETE FROM `detective` WHERE `owner`='{$man->login}' OR `zoeker`='{$data->login}'") or die(mysql_error());
		mysql_query("DELETE FROM `eerpunten` WHERE `van`='{$data->login}'");
		$dbres	=	mysql_query("SELECT * FROM `familie` WHERE `leader`='{$data->login}'") or die(mysql_error());
			if($familie = mysql_fetch_object($dbres)){
				if($familie->opvolger != ""){
				mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$familie->opvolger}','Erfgenaam','{$data->login} is dood gegaan! Daarom ben jij nu de leader van het netwerk.')") or die(mysql_error());
				mysql_query("UPDATE `familie` SET `owner`=`opvolger` WHERE `leader`='{$man->login}'") or die(mysql_error());
				} else {
				$dbres	=	mysql_query("SELECT * FROM `gebruiker` WHERE `familie`='{$data->familie}'") or die(mysql_error());
					while($user = mysql_fetch_object($dbres)){
					mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$user->login}','Erfgenaam','{$data->login} is dood gegaan! En omdat er geen opvolger was is het netwerk verwijdert.')") or die(mysql_error());
					mysql_query("UPDATE `gebruiker` SET `familie`='',`famleader`='0',`famsotto`='0',`famconsig`='0' WHERE `login`='{$user->login}'");
					}
				$dbres	=	mysql_query("SELECT * FROM `gebruiker` WHERE `faminvite`='{$data->login}'") or die(mysql_error());
					while($user = mysql_fetch_object($dbres)){
					mysql_query("UPDATE `gebruiker` SET `faminvite`='',`invitetype`='0' WHERE `login`='{$user->login}'") or die(mysql_error());
					}
				mysql_query("DELETE FROM `familie` WHERE `leader`='{$data->login}'") or die(mysql_error());
				}
			}
		mysql_query("INSERT INTO `topic`(`forum_id`,`login`,`titel`,`message`,`time`) values('3','goodman','Overleiden van {$data->login}','ga lang de winst van zijn casino's te hebben getelt ging {$data->login} even een wandelingetje over straat maken, plotseling kreeg hij een hartaanval en viel dood neer.',NOW())") or die(mysql_error());
		mysql_query("UPDATE `gebruiker` SET `level`='-2',`cash`='0',`bank`='0',`health`='0',`kogels`='0',`vipster`='0',`partners`='0',`huwelijk`='',`kogelfabriek_aantal`='0',`casino_aantal`='0',`ziekenhuis_aantal`='0',`verkoop`='0',`hitlist`='0' WHERE `login`='{$man->login}'") or die(mysql_error());
		}


	$dbres		=	mysql_query("SELECT *,UNIX_TIMESTAMP(`gevangenis`) AS `gevangenis`,0 FROM `gebruiker` WHERE `login`='{$data->login}'");
	$data		=	mysql_fetch_object($dbres);  
		if(!($data->gevangenis+$data->gevangenistijd > time())){
			if($data->kansen != 2){
			mysql_query("UPDATE `gebruiker` SET `kansen`='2' WHERE `login`='{$data->login}'");
			}
		}

		if($data->rankvordering >= 10000) {
		$dbres		=	mysql_query("SELECT * FROM `familie` WHERE `naam`='{$data->familie}'");
		$familie	=	mysql_fetch_object($dbres);
		$geld		=	$familie->promootgeld;

			if($data->rank == "Junkie"){ 
			$rank	=	"Straatrat";
			$geld	=	$geld;
			} else if($data->rank == "Straatrat"){  
			$geld	=	round(($geld/100)*115);
			$rank	=	"Dief";
			} else if($data->rank == "Dief"){ 
			$geld	=	round(($geld/100)*130);
			$rank	=	"Wietkweker";
			} else if($data->rank == "Wietkweker"){
			$geld	=	round(($geld/100)*145);
			$rank	=	"Gangster";
			} else if($data->rank == "Gangster"){ 
			$geld	=	round(($geld/100)*160);
			$rank	=	"Handelaar";
			} else if($data->rank == "Handelaar"){
			$geld	=	round(($geld/100)*175); 
			$rank	=	"Arbeider";
			} else if($data->rank == "Arbeider"){ 
			$geld	=	round(($geld/100)*200);
			$rank	=	"Manager";
			} else if($data->rank == "Manager"){  
			$geld	=	round(($geld/100)*230);
			$rank	=	"Baas Stadsnetwerk";
			} else if($data->rank == "Baas Stadsnetwerk"){
			$geld	=	round(($geld/100)*260); 
			$rank	=	"Huurmoordenaar";
			} else if($data->rank == "Huurmoordenaar"){ 
			$geld	=	round(($geld/100)*290); 
			$rank	=	"Nationaal crimineel";
			} else if($data->rank == "Nationaal crimineel"){
			$geld	=	round(($geld/100)*300);
			$rank	=	"Internationaal Crimineel";
			} else if($data->rank == "Internationaal Crimineel"){ 
			$geld	=	round(($geld/100)*315); 
			$rank	=	"Lid Grote Raad";
			} else if($data->rank == "Lid Grote Raad"){ 
			$geld	=	round(($geld/100)*315); 
			$rank	=	"Lid Grote Raad";
			}

			if($geld > $familie->bank){
			$geld	=	$familie->bank;
			}

			if(!($data->familie == "")){
			$geld1	=	geld($geld);
			mysql_query("UPDATE `gebruiker` SET `bank`=`bank`+'{$geld}' WHERE `login`='{$data->login}'");
			$bericht = "Je bent gepromoveerd tot $rank! Je hebt $geld1 van jou netwerk gekregen.";
			} else {
			$bericht = "Je bent gepromoveerd tot $rank! gefeliciteerd.";
			}

		mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$data->login}','Promoted','$bericht')");
		mysql_query("UPDATE `gebruiker` SET `rankvordering`=`rankvordering`-'10000',`rank`='$rank' WHERE `login`='{$data->login}'");
		mysql_query("UPDATE `families` SET `bank`=`bank`-'$geld' WHERE `naam`='{$data->familie}'");
		}
	}

$dbres	=	mysql_query("SELECT `login`,`dagen`,UNIX_TIMESTAMP(`memberdays`) AS `memberdays`,0 FROM `gebruiker` WHERE `level`='2'");
    	while($dagen = mysql_fetch_object($dbres)){
        	if($dagen->memberdays + 60 * 60 * 24 * $dagen->dagen < time()){
		mysql_query("INSERT INTO `berichten`(`tijd`,`ip`,`van`,`naar`,`titel`,`bericht`) VALUES(NOW(),'{$_SERVER['REMOTE_ADDR']}','Ultimatecrime','{$dagen->login}','VIP','Uw VIP dagen zijn verlopen, als u weer VIP activiteiten wil doen word dan weer VIP bij de VIP shop.')");
		mysql_query("UPDATE `gebruiker` SET `level`='1',`dagen`='0' WHERE `login`='{$dagen->login}'"); 
		}
	}


	if(($data->bot == 1) && ($data)){
	mysql_query("UPDATE `gebruiker` SET `bot`='0' WHERE `login`='{$data->login}'");
	print"<meta http-equiv=\"refresh\" content=\"0; URL=http://www.Ultimatecrime.nl/algemeen-login.php?x=logout\">";
	}

	if(($data->level == 0 OR $data->level == -1 OR $data->level == -2) && ($data)){
	print"<meta http-equiv=\"refresh\" content=\"0; URL=http://www.Ultimatecrime.nl/algemeen-login.php?x=logout\">";
	}

$dbres		=	mysql_query("SELECT UNIX_TIMESTAMP(`time`) AS `time`,`name` FROM `cron`");

	while($x = mysql_fetch_object($dbres)){
	$update[$x->name]     =	$x->time;
	}

	if(floor($update['hour']/3600) != floor(time()/3600)) {
	$dbres		=	mysql_query("SELECT GET_LOCK('hour_update',0)");
		if(mysql_result($dbres,0) == 1) {
		$cron_pass		=	"secretcronpassword";
		mysql_query("UPDATE `cron` SET `time`=NOW() WHERE `name`='hour'");
		include("cron_hour.php");
		mysql_query("SELECT RELEASE_LOCK('hour_update')");
		}
	}

	if(floor($update['day']/86400) != floor(time()/86400)) {
	$dbres		=	mysql_query("SELECT GET_LOCK('day_update',0)");
		if(mysql_result($dbres,0) == 1) {
		$cron_pass		=	"secretcronpassword";
		mysql_query("UPDATE `cron` SET `time`=NOW() WHERE `name`='day'");
		include("cron_day.php");
		mysql_query("SELECT RELEASE_LOCK('day_update')");
		}
	}

	if(floor($update['week']/604800) != floor(time()/604800)) {
	$dbres		=	mysql_query("SELECT GET_LOCK('week_update',0)");
		if(mysql_result($dbres,0) == 1) {
		$cron_pass		=	"secretcronpassword";
		mysql_query("UPDATE `cron` SET `time`=NOW() WHERE `name`='week'");
		include("cron_week.php");
		mysql_query("SELECT RELEASE_LOCK('week_update')");
		}
	}

?>